OpenShot Audio Library | OpenShotAudio: juce::ScopedPointer< ObjectType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ScopedPointer< ObjectType > Class Template Reference

`#include <juce_ScopedPointer.h>`

## Public Member Functions
JUCE_DEPRECATED_ATTRIBUTE | ScopedPointer (decltype(nullptr)) noexcept
JUCE_DEPRECATED_ATTRIBUTE | ScopedPointer (ObjectType *objectToTakePossessionOf) noexcept
| ScopedPointer (ScopedPointer &objectToTransferFrom) noexcept
ScopedPointer & | operator= (ScopedPointer &objectToTransferFrom)
ScopedPointer & | operator= (ObjectType *newObjectToTakePossessionOf)
| ScopedPointer (ScopedPointer &&other) noexcept
ScopedPointer & | operator= (ScopedPointer &&other) noexcept
| operator ObjectType * () const noexcept
ObjectType * | get () const noexcept
ObjectType & | operator* () const noexcept
ObjectType * | operator-> () const noexcept
void | reset ()
void | reset (ObjectType *newObject)
void | reset (ScopedPointer &newObject)
ObjectType * | release () noexcept
void | swapWith (ScopedPointer< ObjectType > &other) noexcept
ObjectType * | createCopy () const

## Detailed Description

template<class ObjectType>
class juce::ScopedPointer< ObjectType >

This class is deprecated. You should use std::unique_ptr instead.

Definition at line 33 of file juce_ScopedPointer.h.

## Constructor & Destructor Documentation

## ◆ ScopedPointer() [1/4]

template<class ObjectType >

JUCE_DEPRECATED_ATTRIBUTE juce::ScopedPointer< ObjectType >::ScopedPointer | ( | decltype(nullptr) |  | ) |
| inlinenoexcept

Definition at line 41 of file juce_ScopedPointer.h.

## ◆ ScopedPointer() [2/4]

template<class ObjectType >

JUCE_DEPRECATED_ATTRIBUTE juce::ScopedPointer< ObjectType >::ScopedPointer | ( | ObjectType * | objectToTakePossessionOf | ) |
| inlinenoexcept

Definition at line 44 of file juce_ScopedPointer.h.

## ◆ ScopedPointer() [3/4]

template<class ObjectType >

juce::ScopedPointer< ObjectType >::ScopedPointer | ( | ScopedPointer< ObjectType > & | objectToTransferFrom | ) |
| inlinenoexcept

Definition at line 50 of file juce_ScopedPointer.h.

## ◆ ~ScopedPointer()

template<class ObjectType >

JUCE_DEPRECATED_ATTRIBUTE juce::ScopedPointer< ObjectType >::~ScopedPointer | ( |  | ) |
| inline

Definition at line 56 of file juce_ScopedPointer.h.

## ◆ ScopedPointer() [4/4]

template<class ObjectType >

juce::ScopedPointer< ObjectType >::ScopedPointer | ( | ScopedPointer< ObjectType > && | other | ) |
| inlinenoexcept

Definition at line 77 of file juce_ScopedPointer.h.

## Member Function Documentation

## ◆ createCopy()

template<class ObjectType >

ObjectType * juce::ScopedPointer< ObjectType >::createCopy | ( |  | ) | const
| inline

Definition at line 134 of file juce_ScopedPointer.h.

## ◆ get()

template<class ObjectType >

ObjectType * juce::ScopedPointer< ObjectType >::get | ( |  | ) | const
| inlinenoexcept

Definition at line 90 of file juce_ScopedPointer.h.

## ◆ operator ObjectType *()

template<class ObjectType >

juce::ScopedPointer< ObjectType >::operator ObjectType * | ( |  | ) | const
| inlinenoexcept

Definition at line 89 of file juce_ScopedPointer.h.

## ◆ operator*()

template<class ObjectType >

ObjectType & juce::ScopedPointer< ObjectType >::operator* | ( |  | ) | const
| inlinenoexcept

Definition at line 91 of file juce_ScopedPointer.h.

## ◆ operator->()

template<class ObjectType >

ObjectType * juce::ScopedPointer< ObjectType >::operator-> | ( |  | ) | const
| inlinenoexcept

Definition at line 92 of file juce_ScopedPointer.h.

## ◆ operator=() [1/3]

template<class ObjectType >

ScopedPointer & juce::ScopedPointer< ObjectType >::operator= | ( | ObjectType * | newObjectToTakePossessionOf | ) |
| inline

Definition at line 71 of file juce_ScopedPointer.h.

## ◆ operator=() [2/3]

template<class ObjectType >

ScopedPointer & juce::ScopedPointer< ObjectType >::operator= | ( | ScopedPointer< ObjectType > && | other | ) |
| inlinenoexcept

Definition at line 82 of file juce_ScopedPointer.h.

## ◆ operator=() [3/3]

template<class ObjectType >

ScopedPointer & juce::ScopedPointer< ObjectType >::operator= | ( | ScopedPointer< ObjectType > & | objectToTransferFrom | ) |
| inline

Definition at line 58 of file juce_ScopedPointer.h.

## ◆ release()

template<class ObjectType >

ObjectType * juce::ScopedPointer< ObjectType >::release | ( |  | ) |
| inlinenoexcept

Definition at line 122 of file juce_ScopedPointer.h.

## ◆ reset() [1/3]

template<class ObjectType >

void juce::ScopedPointer< ObjectType >::reset | ( |  | ) |
| inline

Definition at line 94 of file juce_ScopedPointer.h.

## ◆ reset() [2/3]

template<class ObjectType >

void juce::ScopedPointer< ObjectType >::reset | ( | ObjectType * | newObject | ) |
| inline

Definition at line 101 of file juce_ScopedPointer.h.

## ◆ reset() [3/3]

template<class ObjectType >

void juce::ScopedPointer< ObjectType >::reset | ( | ScopedPointer< ObjectType > & | newObject | ) |
| inline

Definition at line 117 of file juce_ScopedPointer.h.

## ◆ swapWith()

template<class ObjectType >

void juce::ScopedPointer< ObjectType >::swapWith | ( | ScopedPointer< ObjectType > & | other | ) |
| inlinenoexcept

Definition at line 125 of file juce_ScopedPointer.h.

The documentation for this class was generated from the following file:

- juce_ScopedPointer.h